/*
 * @Author: fuyu
 * @Date: 2021-03-30 22:55:24
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-30 22:56:00
 * @FilePath: /project/sql_merge/src/dao_by_new/db/image.js
 */
/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 19:44:50
 * @FilePath: /202103/code/test/tmp/Images.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null
const Images = sequelize.define('images', {
  id: {type: Sequelize.STRING(32), allowNull: false, primaryKey: true}, // id,
  imageId: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // imageId, 影像ID
  metadata: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // metadata,
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['imageId']}
  ],
});
Images.sync({ force: false }).then(function() {});
export default Images;