/*
 * @Author: fuyu
 * @Date: 2021-03-22 18:46:15
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-30 23:03:41
 * @FilePath: /project/sql_merge/src/dao_by_old/db/sequelize.js
 */
import Sequelize from 'sequelize'
import config from '../../../config'
const DB = config['by_old_db_config']

export default new Sequelize(DB.database, DB.username, DB.password, {
  host: DB.host,
  port: DB.port,
  dialect: DB.db_type,

  dialectOptions: {
    charset: 'utf8mb4',
    // collate: 'utf8mb4_unicode_520_ci',
    bigNumberStrings: true,
    supportBigNumbers: true
  },

  pool: {
    max: 50,
    min: 10,
    idle: 10000
  },
  timezone: '+08:00' //修改时区为东八区
})
