/*
 * @Author: fuyu
 * @Date: 2021-03-30 23:08:53
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-30 23:24:42
 * @FilePath: /project/sql_merge/src/service/image.js
 */

import {Images as NewImage} from '../dao_by_new'
import {Images as OldImage} from '../dao_by_old'
const limit = 100
import {getInt} from './common'

export async function moveImage(offset) {
  while(true) {
    let images = await OldImage.findAll({where: {image_status:0}, limit, offset: getInt(offset)})
    for(let i = 0; i > images.length; i++) {
      await fixImage(images[i])
    }
    if(limit > images.length) {
      return
    }
  }
}

async function fixImage(image) {
  const newImage = await NewImage.findOne({where: {imageId: image.image_id}})
  if(newImage) {
    newImage.metadata = image.metadata
    await newImage.save()
    image.image_status = 1
    await image.save()
    return
  }
  image.image_status = 2
  await image.save()
}