/*
 * @Author: fuyu
 * @Date: 2021-03-23 16:42:13
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-26 10:47:37
 * @FilePath: /202103/code/sql_merge/src/service/time.js
 */
import {fillNumber} from './common'
export function getNowDay() {
  const date = new Date()
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  return fillNumber(year, 0, 4) + '-' + fillNumber(month, 0, 2) + '-' + fillNumber(day, 0, 2)
}

export function getNowTime() {
  const date = new Date()
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hours = date.getHours()
  const minutes = date.getMinutes()
  const seconds = date.getSeconds()
  return fillNumber(year, 0, 4) + '-' + fillNumber(month, 0, 2) + '-' + fillNumber(day, 0, 2) + ' ' + fillNumber(hours, 0, 2) + ':' + fillNumber(minutes, 0, 2) + ':' + fillNumber(seconds, 0, 2)
}

