/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 19:27:20
 * @FilePath: /202103/code/test/tmp/Bbs.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null

const Bbs = sequelize.define('bbs', {
  id: {type: Sequelize.STRING(50),   allowNull: false, primaryKey: true}, // id,
  initiator: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // initiator, 发起人
  reply: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // reply, 回复人
  remote_application_id: {type: Sequelize.STRING(50),  allowNull: true, defaultValue: null}, // remote_application_id, 申请单id
  content: {type: Sequelize.STRING(50), allowNull: true, defaultValue: null}, // content, 内容
  attachment: {type: Sequelize.STRING(255), allowNull: true, defaultValue: null}, // attachment, 附件
  type: {type: Sequelize.STRING(10), allowNull: true, defaultValue: null}, // type BBS类型\r\n1 发起申请\r\n2 接收申请\r\n3 驳回申请\r\n4 撤回申请\r\n5 完成申请\r\n99 bbs对话
}, {
  freezeTableName: true,
  charset: 'utf8',
  indexes:[
    {fields : ['remote_application_id']}
  ],
});
Bbs.sync({ force: false }).then(function() {});
export default Bbs;