/*
 * @Author: fuyu
 * @Date: 2021-03-22 19:10:00
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-22 20:08:46
 * @FilePath: /202103/code/test/tmp/QualityCause.js
 */

const Sequelize = require('sequelize');
import sequelize from './db/sequelize';
/**
* 患者信息
*/
// primaryKey: true
// defaultValue: null

const QualityCause = sequelize.define('quality_cause', {
  id: {type: Sequelize.INTEGER(11),   allowNull: false, primaryKey: true, autoIncrement: true}, // id,
  control_id: {type: Sequelize.STRING(100), allowNull: false, defaultValue: ''}, // control_id, 质控表id
  factor_id: {type: Sequelize.STRING(100), allowNull: false, defaultValue: ''}, // factor_id, 因子ID
  type: {type: Sequelize.STRING(10), allowNull: false, defaultValue: ''}, // type, 1影像 2报告
}, {
  freezeTableName: true,
  charset: 'utf8',
  updatedAt: false,
  indexes:[
    {fields : ['control_id']}
  ],
});
QualityCause.sync({ force: false }).then(function() {});
export default QualityCause;