/*
 * @Author: fuyu
 * @Date: 2021-03-23 11:56:31
 * @LastEditors: fuyu
 * @LastEditTime: 2021-03-30 23:08:50
 * @FilePath: /project/sql_merge/src/modules/api/controller.js
 */
import {moveReport, movePacs} from '../../service/move'
import {moveImage} from '../../service/image'
import {_check} from '../../service/check'
export async function move(ctx) {
  const institution_id = ctx.request.body.institution_id
  await moveReport(institution_id)
}

export async function pacs(ctx) {
  const institution_id = ctx.request.body.institution_id
  const offset = ctx.request.body.offset
  await movePacs(institution_id, offset)
}


export async function image(ctx) {
  const offset = ctx.request.body.offset
  await moveImage(offset)
}

export async function check(ctx) {
  await _check()
  ctx.redirect('/html');
}